﻿@using Jumbula.Common.Constants
@using Jumbula.Web.WebLogic.UserService
@model SeasonDisplayViewModel

<!-- ============================================Class Body================================================== -->
<div id="classContainer" class="container calendar-event" itemscope itemtype="@Constants.Itemtype_SportEvent_Url">

    <div id="classLeft">
        @if ((!string.IsNullOrEmpty(Model.Description)))
        {
            <section id="classDescription">
                <div class="class-section-title-bg">
                    <h2 class="class-section-title description">Description</h2>
                </div>
                <div class="clearfix"></div>
                <div class="class-section-container">
                    @if (!string.IsNullOrEmpty(Model.Description))
                    {
                        <div class="class-desc-box">
                            <p itemprop="description">
                                @Html.Raw(Model.Description)
                            </p>
                        </div>
                    }

                </div>
            </section>
        }
        <section id="classSchedules">
            <div class="class-section-title-bg">

                <h2 class="class-section-title schedule">Programs</h2>

            </div>
            <div class="clearfix"></div>

            <div class="class-section-container">


                <div class="class-table-container">

                    <div class="accordion-content">
                        <table class="table class-schedules-table">
                            <thead>
                                <tr>
                                    <th class="class-table-head">Name</th>
                                    <th class="class-table-head">Address</th>
                                    <th class="class-table-head"></th>

                                </tr>
                            </thead>
                            <tbody>

                                @foreach (var item in Model.Programs)
                                {
                                    <tr>
                                        <td>@item.Name</td>
                                        <td>@item.ClubLocation.PostalAddress.Address</td>
                                        <td>@Html.ActionLink("Express Registration", "Register", "Register", new { domain = item.Domain, seasonDomain = item.SeasonDomain, clubDomain = item.ClubDomain }, new { @class = "btn btn-success pull-right" })</td>

                                    </tr>
                                }
                            </tbody>
                        </table>
                    </div>
                </div>

            </div>
        </section>


    </div>


</div>


@section Styles{
    <link href='@Url.Content("~/content/course/class-style.css")' rel="stylesheet">
    <link href='@Url.Content("~/content/course/class-added-responsive.css")' rel="stylesheet">
    <style>


        @if (this.GetCurrentRequestType()== RequestType.Branded)
        {
        <text>
            header.navbar {
                position: fixed;
                top: 0;
                z-index: 1000;
            }
        </text>
        }
    </style>
}

